** Example Macro %IF in macro program definition;
%global lib data numobs type;
options mcompilenote=ALL /* mcompilenote=NONE|NOAUTOCALL */;
%macro doc_data;
   
%if %upcase(&lib) = SASHELP and %upcase(&data) = CLASS %then %let numobs = 19;
%else %let numobs = 5;
  
ods html file="c:\temp\report_&data.&type..html"
    style=sasweb;

%if &type = P or &type = BOTH %then %do;
  proc print data=&lib..&data(obs=&numobs);
    title "%upcase(&lib..&data): Obs=&numobs";
    title2 "Type of Request is: &type";
  run;
%end;
%if &type = C or &type=BOTH %then %do;
     
  ods select attributes variables sortedby;
  proc contents data=&lib..&data;
    title "Documentation for: %sysfunc(propcase(&lib..&data))";
    title2 "Type of Request is: &type";
  run;
%end;
   
ods html close;
%mend doc_data;

%doc_data
