  
** Use %LET to create macro variables.;
** The period in the text will go away;
%let what = rain;
%let place = Spain;
%let how = mainly;
%let where = plain;
  
%put The &what in &place stays &how on the &where.;

** Periods have special meaning to the macro processor.;
** First period is a delimiter;
** that signals when the macro variable ends.;
%let front = c;
%let back = andy;
%put ====> &front.&back;

%let front=d;
%put ====> &front.&back;
   
** What if there was no period;
** For some substitution, it does not matter.;
%let front=h;
%let back = andy;
%put ====> &front&back;

** But, what if it does matter?;
%let front=The dataset is SASHELP;
%let back=CLASS;
%put &front&back;
%put &front..&back;
  
** Use two periods when you need a period;
** to stay in the resolved text.;
%let what = mess;
%let place = my house;
%let how = mostly;
%let where = floor;
  
%put The &what in &place stays &how on the &where..;

** Alternate Syntax;
%let what = Cat;
%let place = the Hat;
%let how = silly;
%let where = pages.;
  
%put The &what in &place stays &how on the &where;
